//
//  SwitchAndInfo.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 21/01/2025.
//

import SwiftUI

struct SwitchAndInfo: View {
    @Binding var pricing: Pricing

    var body: some View {
        VStack(alignment: .leading, spacing: 16) {
            if pricing == .premierPro {
                HStack {
                    SQIcon(.chart_line_up, size: .l)
                    SQText("L’abonnement conçu pour augmenter votre chiffre d’affaires et développer votre entreprise.")
                        .sqFont(.semiBold)
                }
                .padding()
                .background {
                    RoundedRectangle(cornerRadius: 8)
                        .foregroundStyle( Color.sqNeutral(10))
                }
            } else {
                Picker("", selection: $pricing) {
                    SQText("Standard").tag(Pricing.standard)
                    SQText("Premier").tag(Pricing.premier)
                }
                .pickerStyle(.segmented)
                if pricing == .standard {
                    SQText("Idéal pour proposer vos services ponctuellement, sans objectif de complément de revenus.")
                        .sqFont(.semiBold)
                } else {
                    SQText("Idéal pour vous générer un complément de revenus régulier.")
                        .sqFont(.semiBold)
                }
            }
        }
        .padding()
    }
}

#Preview {
    SwitchAndInfo(pricing: .constant(.premier))
}
